| Kea 3.0.2-git

timer_mgr.cc File Reference
`#include <config.h>`
`#include <asiolink/interval_timer.h>`
`#include <asiolink/io_service.h>`
`#include <dhcpsrv/dhcpsrv_log.h>`
`#include <dhcpsrv/timer_mgr.h>`
`#include <exceptions/exceptions.h>`
`#include <util/multi_threading_mgr.h>`
`#include <boost/scoped_ptr.hpp>`
`#include <exception>`
`#include <functional>`
`#include <map>`
`#include <mutex>`
`#include <ostream>`
`#include <string>`
`#include <utility>`
`#include <stddef.h>`
Include dependency graph for timer_mgr.cc:

Go to the source code of this file.

## Classes
class | isc::dhcp::TimerMgrImpl
| Implementation of the `TimerMgr`. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::map< std::string, TimerInfoPtr > | isc::dhcp::TimerInfoMap
| A type definition for the map holding timers configuration.
typedef boost::shared_ptr< TimerInfo > | isc::dhcp::TimerInfoPtr
| A type definition for the pointer to `TimerInfo` structure.